### Method

# Gtk FileChooser get_current_name

deprecated: 4.10

#### Declaration [src]

    char*
    gtk_file_chooser_get_current_name (
      GtkFileChooser* chooser
    )

#### Description [src]

Gets the current name in the file selector, as entered by the user.

This is meant to be used in save dialogs, to get the currently typed filename when the file itself does not exist yet.

Deprecated since: 4.10

Use `GtkFileDialog` instead.

#### Return value

Type: `char*`

The raw text from the file chooser’s “Name” entry. Free with g_free(). Note that this string is not a full pathname or URI; it is whatever the contents of the entry are. Note also that this string is in UTF-8 encoding, which is not necessarily the system’s encoding for filenames.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.